summaryrefslogtreecommitdiff
path: root/tests/du/one-file-system
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/one-file-system')
-rwxr-xr-xtests/du/one-file-system10
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/du/one-file-system b/tests/du/one-file-system
index f0d264ae2..110080f02 100755
--- a/tests/du/one-file-system
+++ b/tests/du/one-file-system
@@ -43,7 +43,15 @@ compare exp out || fail=1
du -xL d > u || fail=1
sed 's/^[0-9][0-9]* //' u > out1
echo d > exp1 || fail=1
-
compare exp1 out1 || fail=1
+# With coreutils-8.15, "du -xs FILE" would print no output.
+touch f
+for opt in -x -xs; do
+ du $opt f > u || fail=1
+ sed 's/^[0-9][0-9]* //' u > out2
+ echo f > exp2 || fail=1
+ compare exp2 out2 || fail=1
+done
+
Exit $fail